Loading...
Searching...
No Matches
juce::AbstractFifo::ScopedReadWrite< mode > Class Template Referencefinal

`#include <juce_AbstractFifo.h>`

## Public Member Functions

| ScopedReadWrite ()=default
| ScopedReadWrite (AbstractFifo &f, int num) noexcept
| ScopedReadWrite (const ScopedReadWrite &)=delete
| ScopedReadWrite (ScopedReadWrite &&) noexcept
ScopedReadWrite & | operator= (const ScopedReadWrite &)=delete
ScopedReadWrite & | operator= (ScopedReadWrite &&) noexcept
| ~ScopedReadWrite () noexcept
template<typename FunctionToApply>
void | forEach (FunctionToApply &&func) const

## Public Attributes

int | startIndex1
int | blockSize1
int | startIndex2
int | blockSize2

## Detailed Description

template<ReadOrWrite mode>
class juce::AbstractFifo::ScopedReadWrite< mode >

Class for a scoped reader/writer

Definition at line 202 of file juce_AbstractFifo.h.

## Constructor & Destructor Documentation

## ScopedReadWrite() [1/3]

template<ReadOrWrite mode>

juce::AbstractFifo::ScopedReadWrite< mode >::ScopedReadWrite | ( |  | ) |

default

Construct an unassigned reader/writer. Doesn't do anything upon destruction.

## ScopedReadWrite() [2/3]

template<ReadOrWrite mode>

juce::AbstractFifo::ScopedReadWrite< mode >::ScopedReadWrite | ( | AbstractFifo & | f,
|  | int | num )

inline noexcept

Construct a reader/writer and immediately call prepareRead/prepareWrite on the abstractFifo which was passed in. This object will hold a pointer back to the fifo, so make sure that the fifo outlives this object.

Definition at line 213 of file juce_AbstractFifo.h.

## ScopedReadWrite() [3/3]

template<ReadOrWrite mode>

juce::AbstractFifo::ScopedReadWrite< mode >::ScopedReadWrite | ( | ScopedReadWrite< mode > && | other | ) |

noexcept

Definition at line 133 of file juce_AbstractFifo.cpp.

## ~ScopedReadWrite()

template<ReadOrWrite mode>

juce::AbstractFifo::ScopedReadWrite< mode >::~ScopedReadWrite | ( |  | ) |

inline noexcept

Calls finishedRead or finishedWrite if this is a non-null scoped reader/writer.

Definition at line 227 of file juce_AbstractFifo.h.

## Member Function Documentation

## forEach()

template<ReadOrWrite mode>
template<typename FunctionToApply>

void juce::AbstractFifo::ScopedReadWrite< mode >::forEach | ( | FunctionToApply && | func | ) | const

inline

Calls the passed function with each index that was deemed valid for the current read/write operation.

Definition at line 237 of file juce_AbstractFifo.h.

## operator=()

template<ReadOrWrite mode>

AbstractFifo::ScopedReadWrite< mode > & juce::AbstractFifo::ScopedReadWrite< mode >::operator= | ( | ScopedReadWrite< mode > && | other | ) |

noexcept

Definition at line 144 of file juce_AbstractFifo.cpp.

## Member Data Documentation

## blockSize1

template<ReadOrWrite mode>

int juce::AbstractFifo::ScopedReadWrite< mode >::blockSize1

Definition at line 243 of file juce_AbstractFifo.h.

## blockSize2

template<ReadOrWrite mode>

int juce::AbstractFifo::ScopedReadWrite< mode >::blockSize2

Definition at line 243 of file juce_AbstractFifo.h.

## startIndex1

template<ReadOrWrite mode>

int juce::AbstractFifo::ScopedReadWrite< mode >::startIndex1

Definition at line 243 of file juce_AbstractFifo.h.

## startIndex2

template<ReadOrWrite mode>

int juce::AbstractFifo::ScopedReadWrite< mode >::startIndex2

Definition at line 243 of file juce_AbstractFifo.h.

The documentation for this class was generated from the following files:

- juce_AbstractFifo.h
- juce_AbstractFifo.cpp